Bug 473887 - gdm cannot be used as a simple XDMCP server
gdm cannot be used as a simple XDMCP server
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
14
All Linux
medium Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Patch, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 05:30 EST by Patrick Monnerat
Modified: 2012-08-16 17:43 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:43:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixes the XDMCP server (see report text) (1.35 KB, patch)
2008-12-01 05:30 EST, Patrick Monnerat
no flags Details | Diff
Define the daemon/NoConsole Boolean parameter (see report text) (5.15 KB, patch)
2008-12-01 05:32 EST, Patrick Monnerat
no flags Details | Diff
deamon/NoConsole patch: fixed version (5.15 KB, patch)
2008-12-22 08:48 EST, Patrick Monnerat
no flags Details | Diff

  None (edit)
Description Patrick Monnerat 2008-12-01 05:30:54 EST
Created attachment 325201 [details]
Fixes the XDMCP server (see report text)

Description of problem:
a) XDMCP does not work
b) No way to disable local X terminal


Version-Release number of selected component (if applicable):
gdm-2.24.0-12.fc10

How reproducible:
Always


Steps to Reproduce:
a1. Update /etc/gdm/gdm.schemas to allow XDMCP
a2. Restart gdm
a3. Attempt an XDMCP request --> nothing appends

b1. Start F10 on a server without graphics terminal
b2. Enter init level 5 --> gdm exits because scheduler X server keeps stopping.

Additional info:
Currently, there is no flag to disable local X terminal in gdm: i.e.: the --no-console option is not recognized anymore.

There is a patch for problem a) (XDMCP) at http://bugzilla.gnome.org/show_bug_cgi?id=561396. I attach it here for convenience.

I created patch "noconsole" to add configuration parameter "daemon/NoConsole" in /etc/gdm/gdm.schemas. This Boolean flag controls the starting of a local X terminal, allowing to avoid problem b). Please find this patch attached within current report.
Comment 1 Patrick Monnerat 2008-12-01 05:32:11 EST
Created attachment 325202 [details]
Define the daemon/NoConsole Boolean parameter (see report text)
Comment 2 Patrick Monnerat 2008-12-22 08:48:44 EST
Created attachment 327642 [details]
deamon/NoConsole patch: fixed version

There was a small bug in the previous patch version: xdmcp/Enable was used to control local session instead of daemon/NoConsole
Comment 3 Ray Strode [halfline] 2009-01-05 12:44:59 EST
Hey Patrick, would you mind filing this patch upstream?
Comment 4 Patrick Monnerat 2009-01-12 12:34:36 EST
Done: http://bugzilla.gnome.org/show_bug.cgi?id=567522
Comment 5 Bug Zapper 2009-11-18 03:00:56 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Patrick Monnerat 2009-11-30 11:17:41 EST
Reassigning to F12: feature has not yet been made available.
Comment 7 Sergey Rudchenko 2009-12-27 16:03:27 EST
Thank you for the bug report.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Fedora Admin XMLRPC Client 2011-06-21 11:35:36 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2011-06-21 11:37:06 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Admin XMLRPC Client 2011-06-21 11:39:51 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora Admin XMLRPC Client 2011-06-21 11:42:44 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Fedora Admin XMLRPC Client 2011-06-21 11:52:22 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Fedora Admin XMLRPC Client 2011-06-21 11:55:03 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Fedora Admin XMLRPC Client 2011-06-21 11:57:45 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Fedora Admin XMLRPC Client 2011-06-21 11:58:52 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 16 Fedora End Of Life 2012-08-16 17:43:25 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.